# $Revision: 1.13 $, $Date: 2007/02/13 07:47:14 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	POE
%define		pnam	Component-SMTP
Summary:	POE::Filter::SMTP - SMTP protocol filter
Summary(pl.UTF-8):	POE::Filter::SMTP - filtr dla protokołu SMTP
Name:		perl-POE-Component-SMTP
Version:	1.6
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	26c8d3705ef2bb9ac3d6d980ee5da73d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{?with_tests}
BuildRequires:	perl-POE
BuildRequires:	perl-POE-Session-MultiDispatch
BuildRequires:	perl-Test-Simple
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
POE::Filter::SMTP filters input and output and splits command and
arguments, as well as return codes and return strings. It is a
subclass of POE::Filter::Line.

%description -l pl.UTF-8
POE::Filter::SMTP filtruje wejście i wyjście oraz oddziela polecenia
i argumenty, a także zwracane kody i łańcuchy. Jest to podklasa
POE::Filter::Line.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/%{pdir}/*/*.pm
%{perl_vendorlib}/%{pdir}/*/*/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-POE-Component-SMTP.spec,v $
Revision 1.13  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.11  2004/11/03 22:30:39  paladine
- formatting

Revision 1.10  2004/08/08 19:22:22  adamg
- updated to 1.6

Revision 1.9  2004/05/06 18:20:51  ankry
- fixed perl-devel BR

Revision 1.8  2004/04/27 15:26:24  ankry
- new bconds

Revision 1.7  2004/04/15 08:54:06  ankry
- summary cosmetics

Revision 1.6  2004/03/06 20:28:38  adamg
- updated to 1.5

Revision 1.5  2003/09/09 10:24:45  ankry
- spaces -> tab

Revision 1.4  2003/08/27 22:15:21  qboosh
- pl

Revision 1.3  2003/08/27 00:16:34  gotar
- fixed changelog trailer

Revision 1.2  2003/08/19 16:21:20  radek
- added forgotten Source0-md5

Revision 1.1  2003/08/19 16:19:23  radek
- new
